import javax.swing.*;

public class yarisonsuzkati
{
public static double YSK_tasinim(double h,double alfa,double k,double x,double t)
{ 
double m=Math.sqrt(alfa*t);
double X=x/(2.0*m);
double X1=h*x/k;
double m1=h*h*alfa*t/(k*k);
double teta=Mathd.erfc(X)-Math.exp(X1+m1)*Mathd.erfc(X+h*m/k);
return teta;
}

public static void ciktipenceresi(String s)
{
String s1="polar sınıfı çıktı penceresi";	
JOptionPane.showMessageDialog(null,s,s1, JOptionPane.PLAIN_MESSAGE);	
}
public static void main(String arg[])
{
double alfa=0.1;
double k=52.0;
double h=20.0;
double t=10.0;
double x=0.1;
String s="teta="+YSK_tasinim(h,alfa,k,x,t);
ciktipenceresi(s);
}

}